org.apache.nutch.util

## Class DeflateUtils

- java.lang.Object
- - org.apache.nutch.util.DeflateUtils

-     public class DeflateUtils
      extends Object

  A collection of utility methods for working on deflated data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `deflate(byte[] in)` Returns a deflated copy of the input array.
    `static byte[]` | `inflate(byte[] in)` Returns an inflated copy of the input array.
    `static byte[]` | `inflateBestEffort(byte[] in)` Returns an inflated copy of the input array.
    `static byte[]` | `inflateBestEffort(byte[] in, int sizeLimit)` Returns an inflated copy of the input array, truncated to `sizeLimit` bytes, if necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateUtils

          public DeflateUtils()

  - ### Method Detail

    - #### inflateBestEffort

          public static final byte[] inflateBestEffort(byte[] in)

      Returns an inflated copy of the input array. If the deflated input has been truncated or corrupted, a best-effort attempt is made to inflate as much as possible. If no data can be extracted `null` is returned.

    - #### inflateBestEffort

          public static final byte[] inflateBestEffort(byte[] in,
                                                       int sizeLimit)

      Returns an inflated copy of the input array, truncated to `sizeLimit` bytes, if necessary. If the deflated input has been truncated or corrupted, a best-effort attempt is made to inflate as much as possible. If no data can be extracted `null` is returned.

    - #### inflate

          public static final byte[] inflate(byte[] in)
                                      throws IOException

      Returns an inflated copy of the input array.
      Throws:
        `IOException` - if the input cannot be properly decompressed

    - #### deflate

          public static final byte[] deflate(byte[] in)

      Returns a deflated copy of the input array.

Copyright © 2020 The Apache Software Foundation